View Issue Details

IDProjectCategoryView StatusLast Update
0000415bareos-coreGeneralpublic2015-06-01 16:22
ReporterDagunchi Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version14.2.2 
Summary0000415: For Windows clients not working include, only exlude works
DescriptionThis working for Ubuntu 14.04 (I tested myself):

Configuration 8.18: Non-working example

The *.Z and *.gz files will indeed be backed up, but all other files that are not matched by the Options directives will automatically be backed up too (i.e. that is the default rule).

To accomplish what we want, we must explicitly exclude all other files. We do this with the following:

 
FileSet {
  Name = "Full Set"
  Include {
     Options {
        wildfile = "*.Z"
        wildfile = "*.gz"
     }
     Options {
        Exclude = yes
        RegexFile = ".*"
     }
     File = /myfile
  }
}

But this not works on Windows clients (it use like exclude not include):

FileSet {
    Name = "Win. Client Def. Ext."
    Enable VSS = yes
    Include {
        Options {
            signature = MD5
                        compression = lz4hc
                        onefs = no
                        IgnoreCase = yes
            WildFile = "*.doc"
            WildFile = "*.docx"
        }
        Options {
                        exclude = yes
            RegexFile = ".*"
        }
        File = "C:/"
    }
}
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: actionnone
bareos-12.4: impactno
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

mvwieringen

mvwieringen

2015-04-25 16:49

developer   ~0001700

Fix committed to bareos master branch with changesetid 5195.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001756

Fix committed to bareos bareos-14.2 branch with changesetid 5334.

Related Changesets

bareos: master ae0fdba1

2015-04-23 15:21:02

Oleg Livshyts


Committer: mvwieringen

Ported: N/A

Details Diff
Always use new block for autoexclude

Fixes 0000415: For Windows clients not working include, only exlude works
Affected Issues
0000415
mod - src/win32/findlib/win32.c Diff File

bareos: bareos-14.2 e3c2841a

2015-04-23 15:21:02

Oleg Livshyts


Committer: mvwieringen

Ported: N/A

Details Diff
Always use new block for autoexclude

Fixes 0000415: For Windows clients not working include, only exlude works
Affected Issues
0000415
mod - src/win32/findlib/win32.c Diff File

Issue History

Date Modified Username Field Change
2015-01-30 11:57 Dagunchi New Issue
2015-04-25 16:49 mvwieringen Changeset attached => bareos master ae0fdba1
2015-04-25 16:49 mvwieringen Note Added: 0001700
2015-04-25 16:49 mvwieringen Status new => resolved
2015-04-25 16:49 mvwieringen Resolution open => fixed
2015-05-27 12:42 joergs Relationship added child of 0000447
2015-05-27 12:42 joergs Assigned To => joergs
2015-05-27 12:42 joergs Status resolved => assigned
2015-05-27 12:43 joergs bareos-master: impact => yes
2015-05-27 12:43 joergs bareos-master: action => fixed
2015-05-27 12:43 joergs bareos-14.2: impact => yes
2015-05-27 12:43 joergs bareos-14.2: action => will care
2015-05-27 12:43 joergs Assigned To joergs =>
2015-05-27 14:13 pstorz bareos-13.2: impact => no
2015-05-27 14:13 pstorz bareos-13.2: action => none
2015-05-27 14:13 pstorz bareos-12.4: impact => no
2015-05-27 14:13 pstorz bareos-12.4: action => none
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 e3c2841a
2015-05-29 18:06 mvwieringen Note Added: 0001756
2015-05-29 18:06 mvwieringen Status assigned => resolved
2015-06-01 16:22 joergs bareos-14.2: action will care => fixed
2015-06-01 16:22 joergs Status resolved => closed